Subject: [bug#62223] [PATCH] image: Prefer gpt partition table for efi disk images

From: Josselin Poiret <[email-masked]>
Date: Tue, 21 Mar 2023 22:41:49 +0100

Hi Sergey,

Sergey Trofimov <[email-masked]> writes:

> Hi guix, I got curious, what the easiest way to migrate existing guix os to a
> new machine could be, and I've came to a conclusion that `guix system image`
> fits this scenario perfectly. So I've tried to run `guix system image
> --image-type=efi-raw --persistent --save-provenance system.scm`, but the
> resulting image contained MBR style partition table. Although MBR support is a
> must for an UEFI implementor, a better choice would be to use GPT style table.

Thanks for the patch!  First off, if you want to add a comment to your
mail but not to the commit message, you should add it below the first --
(under the commit message), before the diff, that way it doesn't end up
in the commit message.

With this applied, I cannot build an example qcow2 image using `guix
system image -t qcow2 gnu/system/examples/bare-bones.tmpl`.  It fails
when installing GRUB onto the image.  Sure enough, the
install-grub-disk-image procedure seems to only support MBR.  Could you
also have a look at this?

Best,
-- 
Josselin Poiret